package models

import "time"

type Contest struct {
	Id        *int32     `db:"id"`
	Title     *string    `db:"title"`
	CreatedAt *time.Time `db:"created_at"`
	UpdatedAt *time.Time `db:"updated_at"`
}

type ContestsListItem struct {
	Id        int32     `db:"id"`
	Title     string    `db:"title"`
	CreatedAt time.Time `db:"created_at"`
	UpdatedAt time.Time `db:"updated_at"`
}

type ContestUpdate struct {
	Title *string `json:"title"`
}
