package models

import "time"

type Task struct {
	Id        int32     `db:"id"`
	ProblemId int32     `db:"problem_id"`
	ContestId int32     `db:"contest_id"`
	Position  int32     `db:"position"`
	CreatedAt time.Time `db:"created_at"`
	UpdatedAt time.Time `db:"updated_at"`
}

type RichTask struct {
	Id          int32     `db:"id"`
	ProblemId   int32     `db:"problem_id"`
	ContestId   int32     `db:"contest_id"`
	Position    int32     `db:"position"`
	Title       string    `db:"title"`
	MemoryLimit int32     `db:"memory_limit"`
	TimeLimit   int32     `db:"time_limit"`
	CreatedAt   time.Time `db:"created_at"`
	UpdatedAt   time.Time `db:"updated_at"`
}
